<!--~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
  ~ /*                                                                                            ~
  ~  - #%L                                                                                        ~
  ~  - CHVote-Receiver                                                                            ~
  ~  - %%                                                                                         ~
  ~  - Copyright (C) 2016 - 2018 République et Canton de Genève                                   ~
  ~  - %%                                                                                         ~
  ~  - This program is free software: you can redistribute it and/or modify                       ~
  ~  - it under the terms of the GNU Affero General Public License as published by                ~
  ~  - the Free Software Foundation, either version 3 of the License, or                          ~
  ~  - (at your option) any later version.                                                        ~
  ~  -                                                                                            ~
  ~  - This program is distributed in the hope that it will be useful,                            ~
  ~  - but WITHOUT ANY WARRANTY; without even the implied warranty of                             ~
  ~  - MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the                               ~
  ~  - GNU General Public License for more details.                                               ~
  ~  -                                                                                            ~
  ~  - You should have received a copy of the GNU Affero General Public License                   ~
  ~  - along with this program. If not, see <http://www.gnu.org/licenses/>.                       ~
  ~  - #L%                                                                                        ~
  ~  */                                                                                           ~
  ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~-->
<div class="form-note">
  <ol>
    <li *ngFor="let votation of votations; index as ballotIndex"
        class="ballot">

      <chvote-ballot-header [ballot]="votation"
                            [display]="display"
                            [empty]="isEmpty"></chvote-ballot-header>

      <ol *ngIf="display === 'ballot'" class="subjects-list">
        <li *ngFor="let variantSubject of votation.variantSubjects; last as isLast"
            class="subject"
            chvote-variant-subject-card
            [display]="display"
            [variantSubject]="variantSubject"
            [displaySeparator]="!isLast || votation.subjects.length > 0">
        </li>
        <li *ngFor="let subject of votation.subjects; last as isLast"
            class="subject"
            chvote-subject-card
            [display]="display"
            [subject]="subject"
            [displaySeparator]="!isLast"
            [(selectedAnswer)]="subject.bufferedAnswer">
        </li>
      </ol>

      <span *ngIf="display !== 'ballot' && isEmpty" class="empty-ballot">{{'summary.choices.empty-ballot' | translate}}</span>

      <ol *ngIf="display !== 'ballot' && !isEmpty" class="subjects-list">
        <li *ngFor="let variantSubject of votation.variantSubjects; last as isLast"
            class="subject"
            chvote-variant-subject-card
            [display]="display"
            [variantSubject]="variantSubject"
            [displaySeparator]="!isLast || votation.subjects.length > 0">
        </li>
        <li *ngFor="let subject of votation.subjects; last as isLast"
            class="subject"
            chvote-subject-card
            [display]="display"
            [subject]="subject"
            [displaySeparator]="!isLast"
            [(selectedAnswer)]="subject.selectedAnswer">
        </li>
      </ol>
    </li>
  </ol>
  <div *ngIf="display === 'ballot'" class="actions-ballot">
    <button id="erase-button"
            mat-raised-button
            class="secondary"
            (click)="clean()">
      {{ 'global.actions.erase' | translate }}
      <i class="fas fa-undo" data-fa-transform="up-1 right-6"></i>
    </button>
  </div>
  <div *ngIf="display === 'summary' && !isEmpty" class="actions-summary">
    <actions-on-ballots [ballots]="votations" isVotation="true" [disabled]="buttonDisabled"></actions-on-ballots>
  </div>
</div>
